GET
/v1/admin/queues/{id}
Get Queue
curl https://api.{cluster}.{platform}.voiger.io/v1/admin/queues/{id} \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code"
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/admin/queues/{id}", {
method: "GET",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
id
string
required
in path
image▾
null | object
when image is attached, empty object, otherwise null will be returned
timeout_action▾
null | object
beyond_timeslots_action▾
null | object
survey_id
null | string
ID of the assigned survey (null when unassigned).
caller_id_name_template
string
json · 200
{
"queue": {
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "sales",
"strategy": "longest_idle_agent",
"status": "blocked",
"team": {
"id": "d54f6540-92f7-4116-9164-2b4f67e86b6e",
"name": "Sales",
"image": {
"id": "g32sm19c-58cc-4372-a567-0e02b2c3d479"
}
},
"image": {
"id": "d54f6540-92f7-4116-9164-2b4f67e86b6e"
},
"moh": {
"id": "d54f6540-92f7-4116-9164-2b4f67e86b6e",
"name": "Example msg"
},
"cli": null,
"timeout": {
"value": 30,
"fallback": {
"type": "connector",
"value": {
"id": "ff3bfada-11b2-464e-adaf-ce645ccc917c"
}
}
},
"mow": {
"id": "d54f6540-92f7-4116-9164-2b4f67e86b6e"
},
"timeout_action": {
"type": "queue",
"value": "ce3bfada-11b2-464e-adaf-ce645ccc917c"
},
"timeslots": null,
"beyond_timeslots_action": {
"type": "hangup",
"value": null
},
"survey_id": null,
"caller_id_name_template": "{CallerID} via {Queue}",
"language": "En",
"priority": 1,
"created_at": "2024-12-29T14:30:00.123Z",
"updated_at": "2024-12-29T14:30:00.123Z"
}
}